need help with flash player and firefox update with linux

hello i need help with flash player and firefox update with linux.its on a dell inspiron mini 10 netbook. i havent got a clue what im doing and any help would be much appreciated.
thanks k.clark

First we need to know which Linux distribution (and version) you are using.

Examples would be

Ubuntu 10.04
Mint 8
Fedora 14
etc.

If you are unsure, open a terminal and run these commands, and post back the output:

cat /etc/*-release

and

lsb_release -a

and

cat /proc/*version

and

cat /etc/*version

and

cat /etc/issue

Remember, Linux commands ARE case sensitive.

sorry i havent got back to you mate ive been busy. how do i open a terminal on it? cos ive tried alt an f2 and that doesnt work

Sorry I can’t answer that as I dont know which distribution you are using ???

Look for “Terminal” or “Xterm” or similar in the menus.

[EDIT]

Try Ctrl+Alt+T … does that open a terminal ?

hello mate ive found out what its using and its ubuntu 8.04…i still dont know how to open a terminal on it either so any help would be great cheers.

To open a terminal, either -

a) In the menus (on the top left of your screen) go to Applications>Accessories>Terminal

or

b) hit Alt+F2 enter gnome-terminal and hit enter.


First - When you’ve opened a terminal, run this command:

sudo apt-get update && sudo apt-get upgrade

Secondly - I’d consider moving from 8.04 to a more recent version (at least 10.04 LTS) … 8.04 reached “end of life” in May last year, so is receiving no updates.

If you open a terminal and enter:

gksudo update-manager

hit enter, and your password when asked … is there (in the update manager) a button at the top called “Upgrade” ?
(probably with some text saying Ubuntu 10.04 is available)

If so, you could try hitting that to attempt an upgrade to 10.04, but don’t blame me if it goes horribly wrong … you will need an active internet connection and it will take hours … If I were you I’d create a working LiveUSB first just in case, and BACKUP anything you can’t afford to loose.

Personally I’d consider moving to PeppermintOS (Two) … In either case you’ll need a USB stick to create a LiveUSB.

on the first thing i put into the terminal it come up and said…process was halted because there were to many errors! how do i post what it says in the terminal window? so you can see exactly what it says :-[

Highlight it with the mouse and then press, Ctrl+Shift+C to copy, or Edit > Copy, and paste here using right click > Paste, or Ctrl+V.

just having me dinner so i will as soon as i finish thanks

chantelle@chantelle:~$ sudo apt-get update && sudo apt-get upgrade
[sudo] password for chantelle:
Hit http://dell-mini.archive.canonical.com hardy Release.gpg
Ign http://dell-mini.archive.canonical.com hardy/main Translation-en_GB
Ign http://dell-mini.archive.canonical.com hardy/universe Translation-en_GB
Ign http://dell-mini.archive.canonical.com hardy/multiverse Translation-en_GB
Ign http://dell-mini.archive.canonical.com hardy/restricted Translation-en_GB
Hit http://dell-mini.archive.canonical.com hardy-updates Release.gpg
Ign http://dell-mini.archive.canonical.com hardy-updates/main Translation-en_GB
Ign http://dell-mini.archive.canonical.com hardy-updates/universe Translation-en_GB
Ign http://dell-mini.archive.canonical.com hardy-updates/multiverse Translation-en_GB
Ign http://dell-mini.archive.canonical.com hardy-updates/restricted Translation-en_GB
Hit http://dell-mini.archive.canonical.com hardy-security Release.gpg
Ign http://dell-mini.archive.canonical.com hardy-security/main Translation-en_GB
Ign http://dell-mini.archive.canonical.com hardy-security/universe Translation-en_GB
Ign http://dell-mini.archive.canonical.com hardy-security/multiverse Translation-en_GB
Ign http://dell-mini.archive.canonical.com hardy-security/restricted Translation-en_GB
Hit http://dell-mini.archive.canonical.com hardy-netbook-base Release.gpg
Ign http://dell-mini.archive.canonical.com hardy-netbook-base/main Translation-en_GB
Ign http://dell-mini.archive.canonical.com hardy-netbook-base/universe Translation-en_GB
Ign http://dell-mini.archive.canonical.com hardy-netbook-base/multiverse Translation-en_GB
Ign http://dell-mini.archive.canonical.com hardy-netbook-base/restricted Translation-en_GB
Hit http://dell-mini.archive.canonical.com hardy-dell-mini Release.gpg
Ign http://dell-mini.archive.canonical.com hardy-dell-mini/main Translation-en_GB
Ign http://dell-mini.archive.canonical.com hardy-dell-mini/universe Translation-en_GB
Ign http://dell-mini.archive.canonical.com hardy-dell-mini/multiverse Translation-en_GB
Ign http://dell-mini.archive.canonical.com hardy-dell-mini/restricted Translation-en_GB
Hit http://dell-mini.archive.canonical.com hardy Release
Hit http://dell-mini.archive.canonical.com hardy-updates Release
Hit http://dell-mini.archive.canonical.com hardy-security Release
Hit http://dell-mini.archive.canonical.com hardy-netbook-base Release
Hit http://dell-mini.archive.canonical.com hardy-dell-mini Release
Hit http://dell-mini.archive.canonical.com hardy/main Packages
Hit http://dell-mini.archive.canonical.com hardy/universe Packages
Hit http://dell-mini.archive.canonical.com hardy/multiverse Packages
Hit http://dell-mini.archive.canonical.com hardy/restricted Packages
Hit http://dell-mini.archive.canonical.com hardy/main Sources
Hit http://dell-mini.archive.canonical.com hardy/universe Sources
Hit http://dell-mini.archive.canonical.com hardy/multiverse Sources
Hit http://dell-mini.archive.canonical.com hardy/restricted Sources
Hit http://dell-mini.archive.canonical.com hardy-updates/main Packages
Hit http://dell-mini.archive.canonical.com hardy-updates/universe Packages
Hit http://dell-mini.archive.canonical.com hardy-updates/multiverse Packages
Hit http://dell-mini.archive.canonical.com hardy-updates/restricted Packages
Hit http://dell-mini.archive.canonical.com hardy-updates/main Sources
Hit http://dell-mini.archive.canonical.com hardy-updates/universe Sources
Hit http://dell-mini.archive.canonical.com hardy-updates/multiverse Sources
Hit http://dell-mini.archive.canonical.com hardy-updates/restricted Sources
Hit http://dell-mini.archive.canonical.com hardy-security/main Packages
Hit http://dell-mini.archive.canonical.com hardy-security/universe Packages
Hit http://dell-mini.archive.canonical.com hardy-security/multiverse Packages
Hit http://dell-mini.archive.canonical.com hardy-security/restricted Packages
Hit http://dell-mini.archive.canonical.com hardy-security/main Sources
Hit http://dell-mini.archive.canonical.com hardy-security/universe Sources
Hit http://dell-mini.archive.canonical.com hardy-security/multiverse Sources
Hit http://dell-mini.archive.canonical.com hardy-security/restricted Sources
Ign http://dell-mini.archive.canonical.com hardy-netbook-base/main Packages
Ign http://dell-mini.archive.canonical.com hardy-netbook-base/universe Packages
Ign http://dell-mini.archive.canonical.com hardy-netbook-base/multiverse Packages
Ign http://dell-mini.archive.canonical.com hardy-netbook-base/restricted Packages
Ign http://dell-mini.archive.canonical.com hardy-netbook-base/main Sources
Ign http://dell-mini.archive.canonical.com hardy-netbook-base/universe Sources
Ign http://dell-mini.archive.canonical.com hardy-netbook-base/multiverse Sources
Ign http://dell-mini.archive.canonical.com hardy-netbook-base/restricted Sources
Ign http://dell-mini.archive.canonical.com hardy-dell-mini/main Packages
Ign http://dell-mini.archive.canonical.com hardy-dell-mini/universe Packages
Ign http://dell-mini.archive.canonical.com hardy-dell-mini/multiverse Packages
Ign http://dell-mini.archive.canonical.com hardy-dell-mini/restricted Packages
Ign http://dell-mini.archive.canonical.com hardy-dell-mini/main Sources
Ign http://dell-mini.archive.canonical.com hardy-dell-mini/universe Sources
Ign http://dell-mini.archive.canonical.com hardy-dell-mini/multiverse Sources
Ign http://dell-mini.archive.canonical.com hardy-dell-mini/restricted Sources
Hit http://dell-mini.archive.canonical.com hardy-netbook-base/main Packages
Hit http://dell-mini.archive.canonical.com hardy-netbook-base/universe Packages
Hit http://dell-mini.archive.canonical.com hardy-netbook-base/multiverse Packages
Hit http://dell-mini.archive.canonical.com hardy-netbook-base/restricted Packages
Hit http://dell-mini.archive.canonical.com hardy-netbook-base/main Sources
Hit http://dell-mini.archive.canonical.com hardy-netbook-base/universe Sources
Hit http://dell-mini.archive.canonical.com hardy-netbook-base/multiverse Sources
Hit http://dell-mini.archive.canonical.com hardy-netbook-base/restricted Sources
Hit http://dell-mini.archive.canonical.com hardy-dell-mini/main Packages
Hit http://dell-mini.archive.canonical.com hardy-dell-mini/universe Packages
Hit http://dell-mini.archive.canonical.com hardy-dell-mini/multiverse Packages
Hit http://dell-mini.archive.canonical.com hardy-dell-mini/restricted Packages
Hit http://dell-mini.archive.canonical.com hardy-dell-mini/main Sources
Hit http://dell-mini.archive.canonical.com hardy-dell-mini/universe Sources
Hit http://dell-mini.archive.canonical.com hardy-dell-mini/multiverse Sources
Hit http://dell-mini.archive.canonical.com hardy-dell-mini/restricted Sources
Reading package lists… Done
Reading package lists… Done
Building dependency tree
Reading state information… Done
The following packages will be upgraded:
firefox firefox-3.0 firefox-3.0-gnome-support firefox-gnome-support libdrm2
libgl1-mesa-dri-psb linux-image-2.6.24-22-lpia
linux-ubuntu-modules-2.6.24-22-lpia psb-video update-manager
update-manager-core xorg-modules-xpsb xserver-xorg-video-psb xulrunner-1.9
xulrunner-1.9-gnome-support
15 upgraded, 0 newly installed, 0 to remove and 0 not upgraded.
Need to get 0B/31.0MB of archives.
After this operation, 119kB of additional disk space will be used.
Do you want to continue [Y/n]? y
(Reading database … dpkg: error processing /var/cache/apt/archives/linux-image-2.6.24-22-lpia_2.6.24-22.45netbook9_lpia.deb (–unpack):
files list file for package `libxcb-shape0’ is missing final newline
Errors were encountered while processing:
/var/cache/apt/archives/linux-image-2.6.24-22-lpia_2.6.24-22.45netbook9_lpia.deb
Processing was halted because there were too many errors.
E: Sub-process /usr/bin/dpkg returned an error code (1)
chantelle@chantelle:~$

this is what i got off the first terminal window

It seems that it’s trying to update your kernel for some bizarre reason.

what do you suggest i do next then mate?

Seems like the package cache is corrupt.

Open a terminal and enter:

sudo apt-get clean

hit enter, and enter your password.

Still in the terminal run:

sudo rm /var/lib/dpkg/info/libxcb-shape0.list

Then still in the terminal run:

sudo apt-get install --reinstall libxcb-shape0

and post the output.

By the looks of things, 8.04 is only going to update Firefox to 3.0 (as I said it hasn’t been receiving updates for a while now) … so I’d still seriously consider updating Ubuntu.

chantelle@chantelle:~$ sudo apt-get clean
chantelle@chantelle:~$ sudo rm /var/lib/dpkg/info/libxcb-shape0.list
chantelle@chantelle:~$ sudo apt-get install --reinstall libxcb-shape0
Reading package lists… Done
Building dependency tree
Reading state information… Done
0 upgraded, 0 newly installed, 1 reinstalled, 0 to remove and 15 not upgraded.
Need to get 5424B of archives.
After this operation, 0B of additional disk space will be used.
Do you want to continue [Y/n]? y
Get: 1 http://dell-mini.archive.canonical.com hardy/main libxcb-shape0 1.1-1ubuntu1 [5424B]
Fetched 5424B in 0s (30.3kB/s)
(Reading database …
dpkg: serious warning: files list file for package `libxcb-shape0’ missing, assuming package has no files currently installed.
98032 files and directories currently installed.)
Preparing to replace libxcb-shape0 1.1-1ubuntu1 (using …/libxcb-shape0_1.1-1ubuntu1_lpia.deb) …
Unpacking replacement libxcb-shape0 …
Setting up libxcb-shape0 (1.1-1ubuntu1) …

Processing triggers for libc6 …
ldconfig deferred processing now taking place
chantelle@chantelle:~$

ok ive done all that and thats what ive got.what next pal??

OK, what happens if you run:

sudo apt-get update && sudo apt-get upgrade

now ?

chantelle@chantelle:~$ cat /etc/*-release
DISTRIB_ID=Ubuntu
DISTRIB_RELEASE=8.04
DISTRIB_CODENAME=hardy
DISTRIB_DESCRIPTION=“Ubuntu 8.04.1”
chantelle@chantelle:~$ lsb_release -a
No LSB modules are available.
Distributor ID: Ubuntu
Description: Ubuntu 8.04.1
Release: 8.04
Codename: hardy
chantelle@chantelle:~$ cat /proc/*version
Linux version 2.6.24-22-lpia (buildd@midyim) (gcc version 4.2.3 (Ubuntu 4.2.3-2ubuntu7)) #1 SMP Tue Mar 17 21:14:25 UTC 2009
chantelle@chantelle:~$ cat /etc/*version
lenny/sid
chantelle@chantelle:~$ cat /etc/issue
Ubuntu 8.04.1 \n \l

chantelle@chantelle:~$

this is the very terminal post

Dear lord, Ubuntu Hardy isn’t half an oldie. :open_mouth:

its doing somethin i will post when its finished.not getting any errors this time

chantelle@chantelle:~$ sudo apt-get update && sudo apt-get upgrade
Hit http://dell-mini.archive.canonical.com hardy Release.gpg
Ign http://dell-mini.archive.canonical.com hardy/main Translation-en_GB
Ign http://dell-mini.archive.canonical.com hardy/universe Translation-en_GB
Ign http://dell-mini.archive.canonical.com hardy/multiverse Translation-en_GB
Ign http://dell-mini.archive.canonical.com hardy/restricted Translation-en_GB
Hit http://dell-mini.archive.canonical.com hardy-updates Release.gpg
Ign http://dell-mini.archive.canonical.com hardy-updates/main Translation-en_GB
Ign http://dell-mini.archive.canonical.com hardy-updates/universe Translation-en_GB
Ign http://dell-mini.archive.canonical.com hardy-updates/multiverse Translation-en_GB
Ign http://dell-mini.archive.canonical.com hardy-updates/restricted Translation-en_GB
Hit http://dell-mini.archive.canonical.com hardy-security Release.gpg
Ign http://dell-mini.archive.canonical.com hardy-security/main Translation-en_GB
Ign http://dell-mini.archive.canonical.com hardy-security/universe Translation-en_GB
Ign http://dell-mini.archive.canonical.com hardy-security/multiverse Translation-en_GB
Ign http://dell-mini.archive.canonical.com hardy-security/restricted Translation-en_GB
Hit http://dell-mini.archive.canonical.com hardy-netbook-base Release.gpg
Ign http://dell-mini.archive.canonical.com hardy-netbook-base/main Translation-en_GB
Ign http://dell-mini.archive.canonical.com hardy-netbook-base/universe Translation-en_GB
Ign http://dell-mini.archive.canonical.com hardy-netbook-base/multiverse Translation-en_GB
Ign http://dell-mini.archive.canonical.com hardy-netbook-base/restricted Translation-en_GB
Hit http://dell-mini.archive.canonical.com hardy-dell-mini Release.gpg
Ign http://dell-mini.archive.canonical.com hardy-dell-mini/main Translation-en_GB
Ign http://dell-mini.archive.canonical.com hardy-dell-mini/universe Translation-en_GB
Ign http://dell-mini.archive.canonical.com hardy-dell-mini/multiverse Translation-en_GB
Ign http://dell-mini.archive.canonical.com hardy-dell-mini/restricted Translation-en_GB
Hit http://dell-mini.archive.canonical.com hardy Release
Hit http://dell-mini.archive.canonical.com hardy-updates Release
Hit http://dell-mini.archive.canonical.com hardy-security Release
Hit http://dell-mini.archive.canonical.com hardy-netbook-base Release
Hit http://dell-mini.archive.canonical.com hardy-dell-mini Release
Hit http://dell-mini.archive.canonical.com hardy/main Packages
Hit http://dell-mini.archive.canonical.com hardy/universe Packages
Hit http://dell-mini.archive.canonical.com hardy/multiverse Packages
Hit http://dell-mini.archive.canonical.com hardy/restricted Packages
Hit http://dell-mini.archive.canonical.com hardy/main Sources
Hit http://dell-mini.archive.canonical.com hardy/universe Sources
Hit http://dell-mini.archive.canonical.com hardy/multiverse Sources
Hit http://dell-mini.archive.canonical.com hardy/restricted Sources
Hit http://dell-mini.archive.canonical.com hardy-updates/main Packages
Hit http://dell-mini.archive.canonical.com hardy-updates/universe Packages
Hit http://dell-mini.archive.canonical.com hardy-updates/multiverse Packages
Hit http://dell-mini.archive.canonical.com hardy-updates/restricted Packages
Hit http://dell-mini.archive.canonical.com hardy-updates/main Sources
Hit http://dell-mini.archive.canonical.com hardy-updates/universe Sources
Hit http://dell-mini.archive.canonical.com hardy-updates/multiverse Sources
Hit http://dell-mini.archive.canonical.com hardy-updates/restricted Sources
Hit http://dell-mini.archive.canonical.com hardy-security/main Packages
Hit http://dell-mini.archive.canonical.com hardy-security/universe Packages
Hit http://dell-mini.archive.canonical.com hardy-security/multiverse Packages
Hit http://dell-mini.archive.canonical.com hardy-security/restricted Packages
Hit http://dell-mini.archive.canonical.com hardy-security/main Sources
Hit http://dell-mini.archive.canonical.com hardy-security/universe Sources
Hit http://dell-mini.archive.canonical.com hardy-security/multiverse Sources
Hit http://dell-mini.archive.canonical.com hardy-security/restricted Sources
Ign http://dell-mini.archive.canonical.com hardy-netbook-base/main Packages
Ign http://dell-mini.archive.canonical.com hardy-netbook-base/universe Packages
Ign http://dell-mini.archive.canonical.com hardy-netbook-base/multiverse Packages
Ign http://dell-mini.archive.canonical.com hardy-netbook-base/restricted Packages
Ign http://dell-mini.archive.canonical.com hardy-netbook-base/main Sources
Ign http://dell-mini.archive.canonical.com hardy-netbook-base/universe Sources
Ign http://dell-mini.archive.canonical.com hardy-netbook-base/multiverse Sources
Ign http://dell-mini.archive.canonical.com hardy-netbook-base/restricted Sources
Ign http://dell-mini.archive.canonical.com hardy-dell-mini/main Packages
Ign http://dell-mini.archive.canonical.com hardy-dell-mini/universe Packages
Ign http://dell-mini.archive.canonical.com hardy-dell-mini/multiverse Packages
Ign http://dell-mini.archive.canonical.com hardy-dell-mini/restricted Packages
Ign http://dell-mini.archive.canonical.com hardy-dell-mini/main Sources
Ign http://dell-mini.archive.canonical.com hardy-dell-mini/universe Sources
Ign http://dell-mini.archive.canonical.com hardy-dell-mini/multiverse Sources
Ign http://dell-mini.archive.canonical.com hardy-dell-mini/restricted Sources
Hit http://dell-mini.archive.canonical.com hardy-netbook-base/main Packages
Hit http://dell-mini.archive.canonical.com hardy-netbook-base/universe Packages
Hit http://dell-mini.archive.canonical.com hardy-netbook-base/multiverse Packages
Hit http://dell-mini.archive.canonical.com hardy-netbook-base/restricted Packages
Hit http://dell-mini.archive.canonical.com hardy-netbook-base/main Sources
Hit http://dell-mini.archive.canonical.com hardy-netbook-base/universe Sources
Hit http://dell-mini.archive.canonical.com hardy-netbook-base/multiverse Sources
Hit http://dell-mini.archive.canonical.com hardy-netbook-base/restricted Sources
Hit http://dell-mini.archive.canonical.com hardy-dell-mini/main Packages
Hit http://dell-mini.archive.canonical.com hardy-dell-mini/universe Packages
Hit http://dell-mini.archive.canonical.com hardy-dell-mini/multiverse Packages
Hit http://dell-mini.archive.canonical.com hardy-dell-mini/restricted Packages
Hit http://dell-mini.archive.canonical.com hardy-dell-mini/main Sources
Hit http://dell-mini.archive.canonical.com hardy-dell-mini/universe Sources
Hit http://dell-mini.archive.canonical.com hardy-dell-mini/multiverse Sources
Hit http://dell-mini.archive.canonical.com hardy-dell-mini/restricted Sources
Reading package lists… Done
Reading package lists… Done
Building dependency tree
Reading state information… Done
The following packages will be upgraded:
firefox firefox-3.0 firefox-3.0-gnome-support firefox-gnome-support libdrm2
libgl1-mesa-dri-psb linux-image-2.6.24-22-lpia
linux-ubuntu-modules-2.6.24-22-lpia psb-video update-manager
update-manager-core xorg-modules-xpsb xserver-xorg-video-psb xulrunner-1.9
xulrunner-1.9-gnome-support
15 upgraded, 0 newly installed, 0 to remove and 0 not upgraded.
Need to get 31.0MB of archives.
After this operation, 119kB of additional disk space will be used.
Do you want to continue [Y/n]? y
Get: 1 http://dell-mini.archive.canonical.com hardy-dell-mini/main linux-image-2.6.24-22-lpia 2.6.24-22.45netbook9 [13.6MB]
Get: 2 http://dell-mini.archive.canonical.com hardy-dell-mini/main linux-ubuntu-modules-2.6.24-22-lpia 2.6.24-22.35netbook26 [5602kB]
Get: 3 http://dell-mini.archive.canonical.com hardy-dell-mini/main xulrunner-1.9-gnome-support 1.9.0.8+nobinonly-0ubuntu0.8.04.1 [37.6kB]
Get: 4 http://dell-mini.archive.canonical.com hardy-dell-mini/main xulrunner-1.9 1.9.0.8+nobinonly-0ubuntu0.8.04.1 [7663kB]
Get: 5 http://dell-mini.archive.canonical.com hardy-dell-mini/main firefox-3.0-gnome-support 3.0.8+nobinonly+nb1-0ubuntu0.8.04.2netbook0belmont1 [25.3kB]
Get: 6 http://dell-mini.archive.canonical.com hardy-dell-mini/main firefox-3.0 3.0.8+nobinonly+nb1-0ubuntu0.8.04.2netbook0belmont1 [1069kB]
Get: 7 http://dell-mini.archive.canonical.com hardy-dell-mini/main firefox 3.0.8+nobinonly+nb1-0ubuntu0.8.04.2netbook0belmont1 [66.9kB]
Get: 8 http://dell-mini.archive.canonical.com hardy-dell-mini/main firefox-gnome-support 3.0.8+nobinonly+nb1-0ubuntu0.8.04.2netbook0belmont1 [66.8kB]
Get: 9 http://dell-mini.archive.canonical.com hardy-dell-mini/main libdrm2 2.3.0.23+repack-0netbook4 [21.0kB]
Get: 10 http://dell-mini.archive.canonical.com hardy-dell-mini/main update-manager 1:0.87.30netbook0belmont3.2 [1002kB]
Get: 11 http://dell-mini.archive.canonical.com hardy-dell-mini/main update-manager-core 1:0.87.30netbook0belmont3.2 [589kB]
Get: 12 http://dell-mini.archive.canonical.com hardy-dell-mini/main xserver-xorg-video-psb 0.27.0+repack-0netbook2 [118kB]
Get: 13 http://dell-mini.archive.canonical.com hardy-dell-mini/main libgl1-mesa-dri-psb 0.24+repack+0038.1-0netbook1 [980kB]
Get: 14 http://dell-mini.archive.canonical.com hardy-dell-mini/universe psb-video 0.28+0038-0netbook1 [97.1kB]
Get: 15 http://dell-mini.archive.canonical.com hardy-dell-mini/universe xorg-modules-xpsb 0.16+0038-0netbook1 [31.0kB]
Fetched 31.0MB in 1min48s (287kB/s)
(Reading database … 98039 files and directories currently installed.)
Preparing to replace linux-image-2.6.24-22-lpia 2.6.24-22.45netbook7 (using …/linux-image-2.6.24-22-lpia_2.6.24-22.45netbook9_lpia.deb) …
Done.
Unpacking replacement linux-image-2.6.24-22-lpia …
Running postrm hook script /sbin/update-grub.
Searching for GRUB installation directory … found: /boot/grub
Searching for default file … found: /boot/grub/default
Testing for an existing GRUB menu.lst file … found: /boot/grub/menu.lst
Searching for splash image … none found, skipping …
Found kernel: /boot/vmlinuz-2.6.24-22-lpia
Replacing config file /var/run/grub/menu.lst with new version
Updating /boot/grub/menu.lst … done

Preparing to replace linux-ubuntu-modules-2.6.24-22-lpia 2.6.24-22.35netbook21 (using …/linux-ubuntu-modules-2.6.24-22-lpia_2.6.24-22.35netbook26_lpia.deb) …
Unpacking replacement linux-ubuntu-modules-2.6.24-22-lpia …
Preparing to replace xulrunner-1.9-gnome-support 1.9.0.7+nobinonly-0ubuntu0.8.04.1 (using …/xulrunner-1.9-gnome-support_1.9.0.8+nobinonly-0ubuntu0.8.04.1_lpia.deb) …
Unpacking replacement xulrunner-1.9-gnome-support …
Preparing to replace xulrunner-1.9 1.9.0.7+nobinonly-0ubuntu0.8.04.1 (using …/xulrunner-1.9_1.9.0.8+nobinonly-0ubuntu0.8.04.1_lpia.deb) …
Unpacking replacement xulrunner-1.9 …
Preparing to replace firefox-3.0-gnome-support 3.0.7+nobinonly+nb1-0ubuntu0.8.04.1netbook0belmont1 (using …/firefox-3.0-gnome-support_3.0.8+nobinonly+nb1-0ubuntu0.8.04.2netbook0belmont1_lpia.deb) …
Unpacking replacement firefox-3.0-gnome-support …
Preparing to replace firefox-3.0 3.0.7+nobinonly+nb1-0ubuntu0.8.04.1netbook0belmont1 (using …/firefox-3.0_3.0.8+nobinonly+nb1-0ubuntu0.8.04.2netbook0belmont1_lpia.deb) …
Unpacking replacement firefox-3.0 …
Preparing to replace firefox 3.0.7+nobinonly+nb1-0ubuntu0.8.04.1netbook0belmont1 (using …/firefox_3.0.8+nobinonly+nb1-0ubuntu0.8.04.2netbook0belmont1_all.deb) …
Unpacking replacement firefox …
Preparing to replace firefox-gnome-support 3.0.7+nobinonly+nb1-0ubuntu0.8.04.1netbook0belmont1 (using …/firefox-gnome-support_3.0.8+nobinonly+nb1-0ubuntu0.8.04.2netbook0belmont1_all.deb) …
Unpacking replacement firefox-gnome-support …
Preparing to replace libdrm2 2.3.0.23+repack-0netbook2 (using …/libdrm2_2.3.0.23+repack-0netbook4_lpia.deb) …
Unpacking replacement libdrm2 …
Preparing to replace update-manager 1:0.87.30netbook0belmont2 (using …/update-manager_1%3a0.87.30netbook0belmont3.2_all.deb) …
Unpacking replacement update-manager …
Preparing to replace update-manager-core 1:0.87.30netbook0belmont2 (using …/update-manager-core_1%3a0.87.30netbook0belmont3.2_lpia.deb) …
Unpacking replacement update-manager-core …
Preparing to replace xserver-xorg-video-psb 0.23.0+repack-0netbook1 (using …/xserver-xorg-video-psb_0.27.0+repack-0netbook2_lpia.deb) …
Unpacking replacement xserver-xorg-video-psb …
Preparing to replace libgl1-mesa-dri-psb 0.24+repack+0033-0netbook1 (using …/libgl1-mesa-dri-psb_0.24+repack+0038.1-0netbook1_lpia.deb) …
Unpacking replacement libgl1-mesa-dri-psb …
Preparing to replace psb-video 0.27+0033-0netbook1 (using …/psb-video_0.28+0038-0netbook1_lpia.deb) …
Unpacking replacement psb-video …
Preparing to replace xorg-modules-xpsb 0.14+0033-0netbook1 (using …/xorg-modules-xpsb_0.16+0038-0netbook1_lpia.deb) …
Unpacking replacement xorg-modules-xpsb …
Setting up linux-image-2.6.24-22-lpia (2.6.24-22.45netbook9) …
Running depmod.
update-initramfs: Generating /boot/initrd.img-2.6.24-22-lpia
Not updating initrd symbolic links since we are being updated/reinstalled
(2.6.24-22.45netbook7 was configured last, according to dpkg)
Not updating image symbolic links since we are being updated/reinstalled
(2.6.24-22.45netbook7 was configured last, according to dpkg)
Running postinst hook script /sbin/update-grub.
Searching for GRUB installation directory … found: /boot/grub
Searching for default file … found: /boot/grub/default
Testing for an existing GRUB menu.lst file … found: /boot/grub/menu.lst
Searching for splash image … none found, skipping …
Found kernel: /boot/vmlinuz-2.6.24-22-lpia
Updating /boot/grub/menu.lst … done

Setting up linux-ubuntu-modules-2.6.24-22-lpia (2.6.24-22.35netbook26) …
update-initramfs: Generating /boot/initrd.img-2.6.24-22-lpia

Setting up xulrunner-1.9 (1.9.0.8+nobinonly-0ubuntu0.8.04.1) …

Setting up xulrunner-1.9-gnome-support (1.9.0.8+nobinonly-0ubuntu0.8.04.1) …

Setting up firefox-3.0 (3.0.8+nobinonly+nb1-0ubuntu0.8.04.2netbook0belmont1) …
Please restart all running instances of Firefox-3.0, or you will experience problems.

Setting up firefox-3.0-gnome-support (3.0.8+nobinonly+nb1-0ubuntu0.8.04.2netbook0belmont1) …

Setting up firefox (3.0.8+nobinonly+nb1-0ubuntu0.8.04.2netbook0belmont1) …
Setting up firefox-gnome-support (3.0.8+nobinonly+nb1-0ubuntu0.8.04.2netbook0belmont1) …
Setting up libdrm2 (2.3.0.23+repack-0netbook4) …

Setting up update-manager-core (1:0.87.30netbook0belmont3.2) …

Setting up update-manager (1:0.87.30netbook0belmont3.2) …

Setting up xserver-xorg-video-psb (0.27.0+repack-0netbook2) …
Setting up libgl1-mesa-dri-psb (0.24+repack+0038.1-0netbook1) …
Setting up psb-video (0.28+0038-0netbook1) …
Setting up xorg-modules-xpsb (0.16+0038-0netbook1) …
Processing triggers for libc6 …
ldconfig deferred processing now taking place
chantelle@chantelle:~$

this is the last one ive had

If you close Firefox and re-open it … it should now be version 3